name := devnetkz
dev_image := $(name)/$(image)-dev
container_name := $(name)-$(image)-$(version)

build-image-arm64:
	docker buildx build --file $(image)/$(version)/Dockerfile --platform linux/arm64 -t $(dev_image):$(version)-arm64 .

build-image-amd64:
	docker buildx build --file $(image)/$(version)/Dockerfile --platform linux/amd64 -t $(dev_image):$(version)-amd64 .

build: build-image-arm64 build-image-amd64

push-image-arm64:
	docker push $(dev_image):$(version)-arm64

push-image-amd64:
	docker push $(dev_image):$(version)-amd64

create-push-manifest:
	-docker manifest rm $(dev_image):$(version)
	docker manifest create --amend $(dev_image):$(version) $(dev_image):$(version)-amd64 $(dev_image):$(version)-arm64
	docker manifest push $(dev_image):$(version)

push: push-image-arm64 push-image-amd64 create-push-manifest

build-push: build push
